<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

if (file_exists(INFUSIONS."mass_email/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mass_email/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mass_email/locale/English.php";
}

if (isset($_POST['send_mail'])) {
	if ($_POST['email_subject'] != "" && $_POST['email_msg'] != "" && $_POST['email_type'] != "" && $_POST['submitas'] != "") {
		if ($settings['smtp_host'] == "") {
			require_once INFUSIONS."mass_email/sendmail_include.php";
		} else {
			require_once INCLUDES."sendmail_include.php";
		}
	$submit_as = ($_POST['submitas'] == "0" ? $settings['sitename'] : $settings['siteusername']);
	$subject = stripinput($_POST['email_subject']);
		if ($_POST['email_type'] == "html") {
			$msg = stripslash($_POST['email_msg']);
		} else {
			$msg = stripinput($_POST['email_msg']);
		}
	$result = dbquery("SELECT user_email FROM ".$db_prefix."users");
	$i = 1; $rows = dbrows($result); $bcc_list = "";
		while ($data = dbarray($result)) {
			$bcc_list .= ($i != 1 ? ", " : "").$data['user_email'];
			if ($rows == 1 || $i == 99) {
				sendemail($settings['sitename'],$settings['siteemail'],$submit_as,$settings['siteemail'],$subject,$msg,$_POST['email_type'],"", $bcc_list);
				$bcc_list = "";
			}
			if ($i != 99) { $i++; } else { $i = 1; }
			$rows--;
		}
	opentable($locale['msm300']);
	echo "<center>".$locale['msm301']."</center>\n";
	closetable();
	} else {
		opentable($locale['msm302']);
		echo "<center>".$locale['msm303']."</center>\n";
		closetable();
	}
} 
if (isset($_POST['preview'])) {
	if ($_POST['email_type'] == "plain" && $_POST['email_subject'] != "" && $_POST['email_msg'] != "") {
		$subject = stripinput($_POST['email_subject']);
		$msg = stripinput($_POST['email_msg']);
		opentable($subject);
		echo "$msg\n";
		closetable();
	} else if ($_POST['email_type'] == "html" && $_POST['email_subject'] != "" && $_POST['email_msg'] != "") {
		$subject = stripinput($_POST['email_subject']);
		$msg = stripslash($_POST['email_msg']);
		opentable($subject);
		echo "$msg\n";
		closetable();
	} else {
		opentable($locale['msm302']);
		echo "<center>".$locale['msm303']."</center>\n";
		closetable();
	}
}
opentable($locale['msm200']);
echo "<form name='mass_email' method='post' action='".FUSION_SELF.$aidlink."'>
<table width='460' align='center' cellpadding='0' cellspacing='0'>
<tr>
<td width='80'>".$locale['msm201']."</td>
<td><input type='text' name='email_subject' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td width='80' valign='top'>".$locale['msm202']."</td>
<td><textarea name='email_msg' class='textbox' rows='12' style='width:380px;'></textarea></td>
</tr>
<tr>
<td width='80'>".$locale['msm203']."</td>
<td><input type='radio' name='email_type' value='plain'>".$locale['msm205']." <input type='radio' name='email_type' value='html'>".$locale['msm204']."</td>
</tr>
<tr>
<td width='80'>".$locale['msm207']."</td>
<td><input type='radio' name='submitas' value='0'>".$settings['sitename']." <input type='radio' name='submitas' value='1'>".$settings['siteusername']."</td>
<tr>
<td colspan='2' align='center'><input type='submit' name='preview' value='".$locale['msm208']."' class='button'>&nbsp;<input type='submit' name='send_mail' value='".$locale['msm206']."' class='button'></td>
</tr>
</table>
</form>\n";
closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>